CollectionsDirect DebitCollections

Create a Direct Debit Collection

POST
/v1/direct-debit-payments

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Header Parameters

Idempotency-Key?string

A unique value, eg. a UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

amount?number

A positive integer value in the specified currency's smallest unit. e.g. for SGD, $10 would be represented as 1000 (cents). Must not be greater than the Direct Debit Authorization's maximum amount.

Range1 <= value <= 100000000
bankChargeBearer?string

Bearer of the bank charges: SENDER, RECEIVER, or SHARED. Applicable only for Hong Kong direct debit payments.

Value in

  • "SENDER"
  • "RECEIVER"
  • "SHARED"
currency?string

Three-letter ISO 4217 currency code in full uppercase. Must be the same as the Direct Debit Authorization's currency.

Match^SGD|MYR|HKD$
customerReference*string

A meaningful description of the debit/payment. For Singapore: this will show up in your payer's bank statement. For Malaysia and Hong Kong: this is purely for your own reference, and does not affect the statement. In test mode, set this to "fail" to simulate a failed debit/payment.

Match^[a-zA-Z0-9\-]+$
Length1 <= length <= 35
directDebitAuthorizationId?string

ID of a successful Direct Debit Authorization (status is SUCCEEDED) to use for this direct debit. This is required for pulling money from an external bank account via direct debit. Provide either this or directDebitAuthorizationInformation.

directDebitAuthorizationInformation?

Information of a direct debit authorization maintained outside Acme. Provide either this or directDebitAuthorizationId. billReferenceNumber is the unique bill reference number of the authorized direct debit (required by the bank); payerBankAccountNumber is where the direct debit payment will be collected from; internalAccountId is the Internal Account the payment will be made to.

type*string

Type of the payment.

Value in

  • "FAST"
  • "MY_FPX"
  • "HK_DDI"

Response Body

*/*

curl -X POST "https://example.com/v1/direct-debit-payments" \  -H "Content-Type: application/json" \  -d '{    "customerReference": "string",    "type": "FAST"  }'
{  "amount": 0,  "batchId": "string",  "createdAt": "string",  "currency": "string",  "customerReference": "string",  "directDebitAuthorizationId": "string",  "directDebitAuthorizationInformation": {    "billReferenceNumber": "string",    "internalAccountId": "string",    "payerBankAccountNumber": "string",    "payerName": "string",    "payerSwiftBic": "string"  },  "id": "string",  "metadata": {    "fileName": "string"  },  "paymentDate": "string",  "previousPaymentStatus": "string",  "receiver": {    "bankAccountNumber": "string"  },  "resultCode": "string",  "status": "string",  "type": "string",  "underlyingErrorMessage": "string",  "updatedAt": "string"}